clear
clc
close all
Vspan = [0 5]; % Range for the independent variable i.e. volume of the reactor
y0 = [310; 305; 0]; % Initial values for the dependent variables i.e. Ta,T,and X

[v y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
for i=1 : z(1,1)
    %Calculating the values of rate from the following expressions
Kc(i)=3.03*exp(-830.3*(y(i,2)-333)/(y(i,2)*333));
K(i)=31.1*exp(7906*(y(i,2)-360)/(y(i,2)*360));
ra(i)=-K(i)*9.3*(1-(1+1/Kc(i))*y(i,3));
end
plot(v,-ra);
ylabel('-ra(kmol/m^3.h)');
xlabel('V(m^3)');
axis([0 5 0 9])
legend('rate')
title('Reaction rate profile down the reactor for constant T_a')


